package com.aitrainer.api.controller

import com.aitrainer.api.openai.OpenAIService
import kotlinx.coroutines.*
import org.slf4j.LoggerFactory
import org.springframework.web.bind.annotation.GetMapping
import org.springframework.web.bind.annotation.RequestMapping
import org.springframework.web.bind.annotation.RestController

@RestController
@RequestMapping("/api")
class OpenAIController() {
    private val logger = LoggerFactory.getLogger(javaClass)

    @OptIn(DelicateCoroutinesApi::class)
    @GetMapping("/openai/completion")
    fun getOpenAIResponse(question: String) : String {
        var result = ""
        val openAIService = OpenAIService()
        val deferred = GlobalScope.async {
            openAIService.completion(question)
        }
        runBlocking {
            result = deferred.await()
            //println("Result: $result" )
        }
        return result
    }
}

