package com.aitrainer.api.controller.diet

import com.aitrainer.api.model.diet.DietRawMaterial
import com.aitrainer.api.repository.diet.DietRawMaterialRepository
import org.springframework.http.ResponseEntity
import org.springframework.web.bind.annotation.*
import java.util.*

@RestController
@RequestMapping("/api")
class DietRawMaterialController(private val dietRawMaterialRepository: DietRawMaterialRepository) {

    @PostMapping("/diet_raw_material")
    fun insert(@RequestBody dietRawMaterial: DietRawMaterial): ResponseEntity<*> {
        return ResponseEntity.ok().body(dietRawMaterialRepository.save(dietRawMaterial))
    }

    @GetMapping("/diet_raw_material/{dietId}")
    fun getByDietUserId(@PathVariable dietId: Long): ResponseEntity<List<DietRawMaterial>> {
        val list = dietRawMaterialRepository.findByDietId(dietId)
        return if (list.isEmpty()) ResponseEntity.notFound().build() else
            ResponseEntity.ok().body(list)
    }
}