package com.aitrainer.api.controller.diet

import com.aitrainer.api.model.diet.DietUserSensitivity
import com.aitrainer.api.repository.diet.DietUserSensitivityRepository
import org.springframework.http.ResponseEntity
import org.springframework.web.bind.annotation.*
import java.util.*

@RestController
@RequestMapping("/api")
class DietUserSensitivityController(private val dietUserSensitivityRepository: DietUserSensitivityRepository) {

    @PostMapping("/diet_user_sensitivity")
    fun insert(@RequestBody dietUserSensitivity: DietUserSensitivity): ResponseEntity<*> {
        return ResponseEntity.ok().body(dietUserSensitivityRepository.save(dietUserSensitivity))
    }

    @GetMapping("/diet_user_sensitivity/{dietUserId}")
    fun getByDietUserId(@PathVariable dietUserId: Long): ResponseEntity<List<DietUserSensitivity>> {
        val list = dietUserSensitivityRepository.findByDietUserId(dietUserId)
        return if (list.isEmpty()) ResponseEntity.notFound().build() else
            ResponseEntity.ok().body(list)
    }
}