package com.aitrainer.api.controller.diet

import com.aitrainer.api.model.diet.RawMaterial
import com.aitrainer.api.repository.diet.RawMaterialRepository
import org.springframework.http.ResponseEntity
import org.springframework.web.bind.annotation.*

@RestController
@RequestMapping("api")
class RawMaterialController(private val rawMaterialRepository: RawMaterialRepository) {

    @PostMapping ("/raw_material")
    fun insert(@RequestBody rawMaterial: RawMaterial): ResponseEntity<RawMaterial> {
        val newRawMaterial = rawMaterialRepository.save(rawMaterial)
        return ResponseEntity.ok().body(newRawMaterial)
    }

    @GetMapping("/raw_material")
    fun getAll(): ResponseEntity<List<RawMaterial>> {
        val list = rawMaterialRepository.findAll()
        return if (list.isEmpty()) ResponseEntity.notFound().build() else
            ResponseEntity.ok().body(list)
    }

    @GetMapping("/raw_material/{id}")
    fun getByRawMaterialId(@PathVariable id: Long): ResponseEntity<RawMaterial> {
        val rawMaterial = rawMaterialRepository.findByRawMaterialId(id)
        return if (rawMaterial == null) ResponseEntity.notFound().build() else
            ResponseEntity.ok().body(rawMaterial)
    }
}