package com.aitrainer.api.model

import com.google.gson.annotations.Expose
import org.hibernate.annotations.Fetch
import org.hibernate.annotations.FetchMode
import org.springframework.lang.NonNull
import jakarta.persistence.*

@Entity
data class ExercisePlanTemplate(
    @Expose @Id @GeneratedValue(strategy = GenerationType.IDENTITY) var exercisePlanTemplateId: Int = 0,
    @Expose @get: NonNull var name: String? = null,
    @Expose @get: NonNull var description: String? = null,
    @Expose @get: NonNull var templateType: String? = null
) {
    @OneToMany(fetch = FetchType.EAGER, mappedBy = "exercisePlanTemplate")
    @Fetch(value = FetchMode.SUBSELECT)
    @Expose val translations: List<ExercisePlanTemplateTranslation> = mutableListOf<ExercisePlanTemplateTranslation>()

    @OneToMany(fetch = FetchType.EAGER, mappedBy = "exercisePlanTemplate")
    @Fetch(value = FetchMode.SUBSELECT)
    @Expose val details: List<ExercisePlanTemplateDetail> = mutableListOf<ExercisePlanTemplateDetail>()
}