package com.aitrainer.api.model

import com.fasterxml.jackson.annotation.JsonIgnore
import com.google.gson.annotations.Expose
import jakarta.persistence.*
import javax.validation.constraints.NotBlank

@Entity
data class SportTranslation (
    @Expose @Id @GeneratedValue(strategy = GenerationType.IDENTITY)  val translationId: Long = 0,

    @Expose @get: NotBlank var languageCode: String?,
    @Expose @get: NotBlank var sportName: String = "",

) {
    @ManyToOne(fetch = FetchType.LAZY, optional = false)
    @JoinColumn(name = "sportId", nullable = false)
    @JsonIgnore
    val sport: Sport? = null
}